The wkhtmltox\PDF\Converter class

- « Runtime Configuration

- wkhtmltox\PDF\Converter::add »

- PHP Manual
- wkhtmltox
- The wkhtmltox\PDF\Converter class

# The wkhtmltox\PDF\Converter class

(wkhtmltox >= 0.1.0)

## Introduction

Converts an HTML input, or set of HTML inputs, into PDF output

## Class synopsis

class wkhtmltox\PDF\Converter {
/* Constructor */
public __construct(array `$settings` = ?)
/* Methods */
public add(wkhtmltox\PDF\Object `$object`): void
public convert(): ?string
public getVersion(): string
}

## Table of Contents

- wkhtmltox\PDF\Converter::add — Add an object for conversion
- wkhtmltox\PDF\Converter::__construct — Create a new PDF converter
- wkhtmltox\PDF\Converter::convert — Perform PDF conversion
- wkhtmltox\PDF\Converter::getVersion — Determine version of Converter